Account & setup
Set OpenTelemetry export
Set or replace the account’s OTLP endpoint and send a test export.
PUT
/
telemetry
Set OpenTelemetry export
curl --request PUT \
--url https://boat.dev/api/v1/telemetry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint": "https://otlp.datadoghq.com",
"headers": {
"dd-api-key": "<DATADOG_API_KEY>"
}
}
'import requests
url = "https://boat.dev/api/v1/telemetry"
payload = {
"endpoint": "https://otlp.datadoghq.com",
"headers": { "dd-api-key": "<DATADOG_API_KEY>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint: 'https://otlp.datadoghq.com',
headers: {'dd-api-key': '<DATADOG_API_KEY>'}
})
};
fetch('https://boat.dev/api/v1/telemetry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "telemetry.updated",
"telemetry": {
"endpoint": "https://otlp.datadoghq.com",
"headers": [
"dd-api-key"
],
"lastExportAt": null,
"lastError": null,
"createdAt": "2026-10-09T11:00:00Z"
},
"test": {
"ok": true,
"status": 202,
"message": null
}
}{
"ok": false,
"type": "sandbox.error",
"status": 400,
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"error": {
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"status": 400
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "sandbox.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}Authorizations
Boat bearer token in the form boat_.... Service API keys authenticate sandbox operations.
Body
application/json
HTTPS URL on port 443 or 4318. Boat removes a trailing /v1/metrics or /v1/logs.
Example:
"https://otlp.example.com"
Headers sent with every export, for example the vendor API key. Boat encrypts them at rest.
Show child attributes
Show child attributes
Example:
{ "dd-api-key": "<DATADOG_API_KEY>" }
⌘I
Set OpenTelemetry export
